Skip to main content
GET
/
v1
/
smart-accounts
/
accounts
/
stats
Get Account Stats
curl --request GET \
  --url https://api.openxswitch.com/v1/smart-accounts/accounts/stats \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "depositsCount": 86,
    "depositsCountIn30Days": 18,
    "transactionVolumeCount": 104,
    "transactionVolumeCountIn30Days": 26,
    "withdrawsCount": 18,
    "withdrawsCountIn30Days": 8
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

accountId
string
required

The unique identifier of the Account

Example:

"123e4567-e89b-12d3-a456-426614174000"

token
string

Filter by token symbol. The token symbol (e.g., USDT, USDC, ETH).

Refer to the Get Supported Tokens endpoint for the list of supported tokens.

Example:

"USDT"

blockchain
string

The blockchain network. Can be either the blockchain name or slug.

Refer to the Get Supported Blockchains endpoint for the list of supported blockchains.

Example:

"ethereum"

Response

success
boolean
required
Example:

true

data
object
required